Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class Notation

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.Notation

All Implemented Interfaces:
  SerializableSchemaComponent, UserSchemaComponent, Serializable, SourceLocator, SchemaComponent

    public class Notation

extends SchemaStructure
implements UserSchemaComponent

An XML Schema Notation

See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.sf.saxon.type.SchemaComponent
`FIXED_UP, INCOMPLETE, INVALID, UNVALIDATED, VALIDATED, VALIDATING`

Fields inherited from interface com.saxonica.schema.SerializableSchemaComponent
`ALL_COMPOSITOR, ATOMIC_TYPE, ATTRIBUTE_DECL, ATTRIBUTE_GROUP, ATTRIBUTE_GROUP_REF, ATTRIBUTE_USE, ATTRIBUTE_WILDCARD, CHOICE_COMPOSITOR, COMPLEX_TYPE, ELEMENT_DECL, ELEMENT_PARTICLE, ELEMENT_WILDCARD, FACET, KEY, KEYREF, LIST_TYPE, MODEL_GROUP, MODEL_GROUP_REF, NOTATION, SEQUENCE_COMPOSITOR, UNION_TYPE, UNIQUE`

Constructor Summary
`Notation(PreparedSchema schema, SourceLocator locator)` Creates a new Notation

Method Summary
`boolean` | `fixup(SchemaCompiler compiler)` Check references from this component to other components
`Iterator` | `getComponentReferences()` Get the component references from this component to other components.
`int` | `getComponentTypeCode()` Get a unique number identifying the type of component
`Iterator` | `getContainedComponents()` Get the components that are immediately contained within this component.
`int` | `getFingerprint()`
`String` | `getName()` Returns the name of this Notation.
`String` | `getNotationPublicId()` Get the public Id of the notation
`String` | `getNotationSystemId()` Get the system Id of the notation
`void` | `serialize(SchemaSerializer serializer)` Serialize the schema component
`void` | `setFingerprint(int fingerprint)` Set the fingerprint of the notation
`void` | `setName(String name)` Set the name of the notation
`void` | `setNotationPublicId(String publicId)`
`void` | `setNotationSystemId(String systemId)`
`boolean` | `validate(SchemaCompiler compiler)` Checks the validity of this Notation.

Methods inherited from class com.saxonica.schema.SchemaStructure
`getColumnNumber, getConfiguration, getFixupStatus, getLineNumber, getPublicId, getSystemId, getValidationStatus, lookForCycles, setConfiguration, setFixupStatus, setLineNumber, setLocator, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.saxonica.schema.UserSchemaComponent
`lookForCycles`

Methods inherited from interface net.sf.saxon.type.SchemaComponent
`getValidationStatus`

Constructor Detail

### Notation

    public Notation(PreparedSchema schema,
                    SourceLocator locator)

  Creates a new Notation

  Parameters:
    `schema` - the XML Schema to which this Notation belongs

Method Detail

### setName

    public void setName(String name)

  Set the name of the notation

### setFingerprint

    public void setFingerprint(int fingerprint)

  Set the fingerprint of the notation

### getFingerprint

    public int getFingerprint()

### setNotationSystemId

    public void setNotationSystemId(String systemId)

### setNotationPublicId

    public void setNotationPublicId(String publicId)

### getNotationSystemId

    public String getNotationSystemId()

  Get the system Id of the notation

### getNotationPublicId

    public String getNotationPublicId()

  Get the public Id of the notation

### getName

    public String getName()

  Returns the name of this Notation.

### validate

    public boolean validate(SchemaCompiler compiler)
                     throws SchemaException

  Checks the validity of this Notation.

  Specified by:
    `validate` in interface `UserSchemaComponent`
  Returns:
    true when this Schema definition is valid, otherwise false.
  Throws:
    `SchemaException`

### fixup

    public boolean fixup(SchemaCompiler compiler)
                  throws SchemaException

  Check references from this component to other components

  Specified by:
    `fixup` in interface `UserSchemaComponent`
  Parameters:
    `compiler` -
  Returns:
    true if all is well, false if errors found
  Throws:
    `SchemaException`

### getContainedComponents

    public Iterator getContainedComponents()

  Get the components that are immediately contained within this component. The objects returned by this iterator must be instances of UserSchemaComponent. The result may be null if there are no contained components. Where components may either be contained or referenced (e.g. the member types of a union type) they are treated as being referenced rather than contained.

### getComponentReferences

    public Iterator getComponentReferences()

  Get the component references from this component to other components.

### serialize

    public void serialize(SchemaSerializer serializer)
                   throws IOException

  Serialize the schema component

  Specified by:
    `serialize` in interface `SerializableSchemaComponent`
  Throws:
    `IOException`

### getComponentTypeCode

    public int getComponentTypeCode()

  Get a unique number identifying the type of component

  Specified by:
    `getComponentTypeCode` in interface `SerializableSchemaComponent`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.